libgd-text-perl (0.86-10) unstable; urgency=medium

  * Team upload.

  [ Damyan Ivanov ]
  * change Priority from 'extra' to 'optional'

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.

  [ Étienne Mollier ]
  * Enabled autopkgtest by adding find-dustismo-sans.patch and use-name.
  * Bump to standard version 4.5.1.
  * Add typo-in-manual-page.patch to fix POD issues spotted by lintian
  * Add build-dep on licensecheck and fonts-dustin <!nocheck>.
  * Bump d/watch to version=4.
  * d/control: Rules-Requires-Root: no.

  [ gregor herrmann ]
  * debian/watch: use only the canonical MetaCPAN URL.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 21 Jan 2021 21:12:42 +0100

libgd-text-perl (0.86-9.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 16:53:19 +0100

libgd-text-perl (0.86-9) unstable; urgency=low

  [ Gregor Herrmann ]
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.

  [ Salvatore Bonaccorso ]
  * Change to use canonical hot (anonscm.debian.org) in Vcs-Git URI.

  [ Axel Beckert ]
  * Update copyright info:
    + Declare compliance with format version 1.0.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Fix use comment and license pseudo-sections to obey silly
      restrictions of copyright format 1.0.
    + Extend packaging to cover recent years.
    + Bump licensing of packaging to GPL-3+.
    + Quote license names in comments to avoid some ambiguity.
  * Bump debhelper compatibility level to 8: Corresponding debhelper
    version satisfied even in oldstable.
  * Bump Standards-Version to 3.9.5: Packaging is compliant with
    corresponding version of Debian Policy.
  * Update watch file to include metacpan.org URL (replacing
    search.cpan.org URL), in addition to www.cpan.org URL.
    Stop needless (and arguably bogus) upstream version mangling.
  * Modernize CDBS:
    + Hard-include upstream-tarball.mk and utils.mk: Needed helper tools
      are now available even in oldstable.
    + Simple-expand a variable.
  * Update package relations:
    + (Build-)depend on libgd-perl (with obsolete libgd-gd2-perl and
      libgd-gd2-noxpm-perl variants only as fallback).
    + Suggest fonts-dustin (not deprecated ttf-dustin).
    + Relax to build-depend unversioned on cdbs, dh-buildinfo and
      debhelper: Needed versions satisfied even in oldstable.
    + Build-depend on devscripts: Needed for copyright check.
    + Resolve package relations in rules file.
  * Fix use canonical Vcs-Git and Vcs-Browser URLs.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Jun 2014 11:41:14 +0200

libgd-text-perl (0.86-8) unstable; urgency=low

  * Improve package relations:
    + Stop declaring package part of core Perl even in oldstable:
      - libtest-simple-perl
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use Comment (not Comments) fields.
    + Rewrap license fields at 72 chars.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 May 2011 15:56:12 +0200

libgd-text-perl (0.86-7) unstable; urgency=low

  * Fix squash double ${perl:Depends}.
  * Update watch file to track both by-modules page and search.cpan.org.
  * Use CDBS perl-makemaker.mk (not deprecated perlmodule.mk).
  * Extend copyright years for Debian packaging.
  * Update copyright file:
    + Rewrite using DEP5 Subversion draft rev.173.
    + Extend years.
    + Use search.cpan.org page as source URL.
  * (Build-)depend on libgd-gd2-perl: libgd-gd2-noxpm-perl is
    deprecated.
  * Stop no longer needed Breaks on ancient libgd-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Mar 2011 17:40:36 +0100

libgd-text-perl (0.86-6) unstable; urgency=low

  * Move to Debian Perl Group: Update Maintainer field, and set myself
    to uploader.
  * Packaging moved to Git:
    + Update Vcs stanzas.
    + Add git-buildpackage configfile, enabling signed tags and use of
      pristine-tar.
    + Use source format 3.0 (quilt), with suitable local-options.
    + Git-ignore quilt .pc dir.
  * Drop locally included CDBS snippets: included in main cdbs now.
  * Add README.source. Drop custom hints about CDBS.
  * Add proper licensing header to debian/rules. Extend copyright years.
  * Strip now obsolete suffices from watch file.
  * Ease backporting to Debian stable: Relax inclusion of CDBS snippets
    required only in DEB_MAINTAINER_MODE, and supprress related build-
    dependencies.
  * Fix depend on ${perl:Depends} and ${misc:Depends}.
  * Break (not conflict with) older libgd-perl.
  * Bump Policy compliance to standards-version 3.9.1.
  * Rewrite copyright file using draft rev135 of DEP5 format.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Oct 2010 02:57:21 +0200

libgd-text-perl (0.86-5) unstable; urgency=medium

  * Invoke svn-upgrade (not uupdate) in debian/watch.
  * Update CDBS tweaks:
    + Fix applying buildinfo only once.
  * Set urgency=medium as last packaging included a FTBFS bugfix
    (similar to bug#487066).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jun 2008 20:48:24 +0200

libgd-text-perl (0.86-4) unstable; urgency=low

  * Add Vcs-Svn and Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Update local cdbs tweaks:
    + Major updates to copyright-check.mk, most importantly relax to
      only warn by default.
    + Drop auto-update.mk (set hints manually instead as needed).
    + Add upstream-tarball.mk to implement get-orig-source target.
    + Add debian/README.cdbs-tweaks and advertise it in debian/rules.
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Fix double cdbs build-dependencies in debian/rules.
  * Improve watch file.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jun 2008 13:18:56 +0200

libgd-text-perl (0.86-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Disable copyright-check due to a race condition. Closes: #395211

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 23 Dec 2006 09:50:34 +0000

libgd-text-perl (0.86-3) unstable; urgency=low

  * No longer (build-)depend on deprecated GD 1.x libraries. Closes:
    bug#369110 (thanks to Stefan Huehner <stefan@huehner.org> and Gunnar
    Wolf <gwolf@gwolf.org>).
  * Improve visual reference to upstream source in long description:
    + Use indented " Homepage:" (not "Website:").
    + Use search.cpan.org/dist/ (not www.cpan.org/modules/by-modules/).
  * Improve watch file:
    + Bump to version 3
    + Simplify regexp (qa.debian.org chokes on multiple parantheses).
  * Improve cdbs tweaks:
    + Drop standard cdbs snippets (not used since 0.86-2).
    + Add local snippet copyright-check.mk: Scan source for (c) changes.
    + Add local snippet auto-update.mk: Enable auto-update feature.
    + Add local snippet buildinfo.mk: Include env info with binary pkgs.
  * No longer invoke buildinfo directly in debian/rules (done in cdbs).
  * Use build-depends (not build-depends-indep). build-depends-indep has
    no real use according to note in Debian Policy 7.6, and is badly
    supported by cdbs.
  * Bump to standards-version 3.7.2.
  * Suggest ttf-dustin (and drop Dustismo font as example file). Thanks
    to linda for noticing.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Aug 2006 14:32:48 +0200

libgd-text-perl (0.86-2) unstable; urgency=low

  * Use official cdbs again (no need to tighten dependencies, as cdbs
    has not yet been released officially).
  * Update watch file syntax to version 2, and add comment.
  * Standards-Version: 3.6.1 (no changes needed).
  * Cleaned up debian/copyright:
    + Replace info contained in changelog with note on "GNU systems".
  * Add Website URL to long description.
  * Use (and build-depend on) dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Jul 2004 16:29:35 +0200

libgd-text-perl (0.86-1) unstable; urgency=low

  * New upstream release.
  * Improved (bleeding-edge) cdbs included.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jun 2003 05:35:28 +0200

libgd-text-perl (0.85-1) unstable; urgency=low

  * New upstream release.
  * Include new font Dustismo Sans as example only (for now...). Add its
    license info and reference to GPL v2 to debian/copyright.
  * Change section to perl.
  * Set standards-version to 3.5.10.
  * Lower build-dependency on perl a bit to match policy.
  * Repackage using cdbs (with local perl additions).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 May 2003 05:39:50 +0200

libgd-text-perl (0.83+0.84nofont-1) unstable; urgency=medium

  * New upstream release.
  * Repackage upstream tarball to not include the truetype font: It
    lacks copyright and license info, and is therefore not allowed
    within Debian.
    + Make a note in debian/copyright about it.
    + Disable tests - some of them depend on the font.
  * Set urgency=medium for the above reason.
  * Build-depend on libtest-simple-perl for 'make test' to actually do
    something (sometimes it is worthwhile to RTFM).
  * Change to new default compilation options according to policy 3.5.7.
  * Claim to comply with policy version 3.5.8.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Feb 2003 04:51:13 +0100

libgd-text-perl (0.83-4) unstable; urgency=low

  * Depend on all variants of libgd-perl, and favor libgd-gd2-noxpm-perl
    (GD 2.x is no longer considered beta by upstream).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Nov 2002 04:48:32 +0100

libgd-text-perl (0.83-3) unstable; urgency=low

  * Depend on either libgd-perl or libgd-gd2-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2002 06:42:52 +0200

libgd-text-perl (0.83-2) unstable; urgency=low

  * Build the package using binary-indep build-target (closes: #157483).
  * Use unversioned depend and versioned conflict on libgd-perl, now
    that that is a virtual package.
  * Skip 7 tests failing when built against libgd-gd1-perl.
  * Build-depend-indep on either libgd-perl or libgd-gd2-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2002 05:50:14 +0200

libgd-text-perl (0.83-1) unstable; urgency=low

  * Newer upstream version.
  * Run 'make test' when building. Build-depend on libgd-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  3 Jul 2002 22:27:54 +0200

libgd-text-perl (0.82-1) unstable; urgency=low

  * New upstream release.
  * Friendly takeover (Thanks, Piotr!): Change Maintainer field.
  * Repackaged using make-dh-perl.
  * Rewrite copyright.
  * Bump up libgd-perl dependency to the first version mentioning
    freetype support.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Mar 2002 21:30:06 +0100

libgd-text-perl (0.80-3) unstable; urgency=low

  * Build-Depends-Indep field in debian/control

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 17 Oct 2001 15:42:15 +0200

libgd-text-perl (0.80-2) unstable; urgency=low

  * woody release.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 30 Jul 2001 11:39:28 +0200

libgd-text-perl (0.80-1) unstable; urgency=low

  * New upstream release
  * Moved out from contrib to main

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 31 Jan 2001 11:27:28 +0000

libgd-text-perl (0.75-1) unstable; urgency=low

  * Depends: ${perl:Depends}
  * debian/watch
  * New upstream release

 -- Piotr Roszatycki <dexter@debian.org>  Wed,  3 May 2000 16:16:44 +0200

libgd-text-perl (0.71-1) unstable; urgency=low

  * Initial Debian version.

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  7 Apr 2000 12:06:07 +0200
